B1(t) = (-t*t*t + 3*t*t - 3*t + 1)/6 
B2(t) = (3*t*t*t - 6*t*t + 4)/6 
B3(t) = (-3*t*t*t + 3*t*t + 3*t + 1)/6
B4(t) = t*t*t/6

x1(t) = 5*B1(t) - 5*B3(t)
y1(t) = 4*B2(t) - 4*B4(t)

x2(t) = -5*B2(t) + 5*B4(t)
y2(t) =  4*B1(t) - 4*B3(t)

x3(t) =  -5*B1(t) + 5*B3(t) 
y3(t) =  -4*B2(t) + 4*B4(t)

x4(t) = 5*B2(t) - 5*B4(t)
y4(t) =-4*B1(t) + 4*B3(t)


set xrange [-6:6]
set yrange [-6:6]
set size ratio -1

set multiplot
plot 'pts2.txt' w p ps 2 pt 6

set parametric 
set trange [0:1]
plot x1(t), y1(t), x2(t), y2(t) w l lt 3, x3(t), y3(t) lt 4, \
	x4(t), y4(t) lt 5
unset multiplot
pause -1
