B1(t) = (-t*t*t + 3*t*t - 3*t + 1)/6 
B2(t) = (3*t*t*t - 6*t*t + 4)/6 
B3(t) = (-3*t*t*t + 3*t*t + 3*t + 1)/6
B4(t) = t*t*t/6

x1(t) = 1*B1(t) + 2*B2(t) + 3*B3(t) + 4*B4(t)
y1(t) = 1*B1(t) + 7*B2(t) + 2*B3(t) + 8*B4(t)

x2(t) = 2*B1(t) + 3*B2(t) + 4*B3(t) + 5*B4(t)
y2(t) = 7*B1(t) + 2*B2(t) + 8*B3(t) + 3*B4(t)

x3(t) = 3*B1(t) + 4*B2(t) + 5*B3(t) + 7*B4(t)
y3(t) = 2*B1(t) + 8*B2(t) + 3*B3(t) + 7*B4(t)


set xrange [0:8]
set yrange [0:8]
set size ratio -1

set multiplot
plot 'pts.txt' w p ps 2 pt 6

set parametric 
set trange [0:1]
plot x1(t), y1(t), x2(t), y2(t) w l lt 3, x3(t), y3(t) lt 4
unset multiplot
pause -1
